diff -Nru darkice-1.2/debian/changelog darkice-1.2/debian/changelog
--- darkice-1.2/debian/changelog	2014-06-19 16:42:36.000000000 +0100
+++ darkice-1.2/debian/changelog	2014-06-20 17:16:26.000000000 +0100
@@ -1,3 +1,10 @@
+darkice (1.2-0.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add patch to prevent FTBFS on kfreebsd.
+
+ -- Alessio Treglia <alessio@debian.org>  Fri, 20 Jun 2014 17:16:25 +0100
+
 darkice (1.2-0.1) unstable; urgency=low
 
   [ Alessio Treglia ]
diff -Nru darkice-1.2/debian/patches/06_ftbfs_kfreebsd.patch darkice-1.2/debian/patches/06_ftbfs_kfreebsd.patch
--- darkice-1.2/debian/patches/06_ftbfs_kfreebsd.patch	1970-01-01 01:00:00.000000000 +0100
+++ darkice-1.2/debian/patches/06_ftbfs_kfreebsd.patch	2014-06-20 17:15:51.000000000 +0100
@@ -0,0 +1,41 @@
+Description: Fix FTBFS on kfreebsd.
+Author: Alessio Treglia <alessio@debian.org>
+Forwarded: no
+---
+ src/OpusLibEncoder.cpp      |    2 ++
+ src/OpusLibEncoder.h        |    2 ++
+ src/PulseAudioDspSource.cpp |    1 +
+ 3 files changed, 5 insertions(+)
+
+--- darkice-1.2.orig/src/OpusLibEncoder.cpp
++++ darkice-1.2/src/OpusLibEncoder.cpp
+@@ -41,6 +41,8 @@
+ #include "Util.h"
+ #include "OpusLibEncoder.h"
+ #include "CastSink.h"
++#include <cstring>
++#include <cstdlib>
+ 
+ 
+ /* ===================================================  local data structures */
+--- darkice-1.2.orig/src/OpusLibEncoder.h
++++ darkice-1.2/src/OpusLibEncoder.h
+@@ -59,6 +59,8 @@
+ #include "aflibConverter.h"
+ #endif
+ 
++#include <stdio.h>
++#include <cstdlib>
+ 
+ /* ================================================================ constants */
+ 
+--- darkice-1.2.orig/src/PulseAudioDspSource.cpp
++++ darkice-1.2/src/PulseAudioDspSource.cpp
+@@ -35,6 +35,7 @@
+ /* ============================================================ include files */
+ 
+ #include "AudioSource.h"
++#include <stdio.h>
+ 
+ // compile only if configured for PULSEAUDIO
+ #ifdef SUPPORT_PULSEAUDIO_DSP
diff -Nru darkice-1.2/debian/patches/series darkice-1.2/debian/patches/series
--- darkice-1.2/debian/patches/series	2014-06-19 16:29:41.000000000 +0100
+++ darkice-1.2/debian/patches/series	2014-06-20 17:13:31.000000000 +0100
@@ -2,3 +2,4 @@
 03_gcc-43.diff
 04_gcc44.diff
 05_fix_crlf.diff
+06_ftbfs_kfreebsd.patch
